Xerces2 Implementation: Class XSNotationDecl

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class XSNotationDecl

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.XSNotationDecl

All Implemented Interfaces:
  org.apache.xerces.xs.XSNotationDeclaration, org.apache.xerces.xs.XSObject

public class XSNotationDecl
extends java.lang.Object
implements org.apache.xerces.xs.XSNotationDeclaration

The XML representation for a NOTATION declaration schema component is a global <notation> element information item

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: XSNotationDecl.java 658446 2008-05-20 21:37:22Z mrglavas $
Author:
  Rahul Srivastava, Sun Microsystems Inc.

Field Summary
`org.apache.xerces.xs.XSObjectList` | `fAnnotations`
`java.lang.String` | `fName`
`java.lang.String` | `fPublicId`
`java.lang.String` | `fSystemId`
`java.lang.String` | `fTargetNamespace`

Constructor Summary
`XSNotationDecl()`

Method Summary
`org.apache.xerces.xs.XSAnnotation` | `getAnnotation()` Optional.
`org.apache.xerces.xs.XSObjectList` | `getAnnotations()` Optional.
`java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
`java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
`org.apache.xerces.xs.XSNamespaceItem` | `getNamespaceItem()` A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.
`java.lang.String` | `getPublicId()` Optional if {system identifier} is present.
`java.lang.String` | `getSystemId()` Optional if {public identifier} is present.
`short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fName

    public java.lang.String fName

### fTargetNamespace

    public java.lang.String fTargetNamespace

### fPublicId

    public java.lang.String fPublicId

### fSystemId

    public java.lang.String fSystemId

### fAnnotations

    public org.apache.xerces.xs.XSObjectList fAnnotations

Constructor Detail

### XSNotationDecl

    public XSNotationDecl()

Method Detail

### getType

    public short getType()

  Get the type of the object, i.e ELEMENT_DECLARATION.
  Specified by:
    `getType` in interface `org.apache.xerces.xs.XSObject`

### getName

    public java.lang.String getName()

  The `name` of this `XSObject` depending on the `XSObject` type.
  Specified by:
    `getName` in interface `org.apache.xerces.xs.XSObject`

### getNamespace

    public java.lang.String getNamespace()

  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.
  Specified by:
    `getNamespace` in interface `org.apache.xerces.xs.XSObject`

### getSystemId

    public java.lang.String getSystemId()

  Optional if {public identifier} is present. A URI reference.
  Specified by:
    `getSystemId` in interface `org.apache.xerces.xs.XSNotationDeclaration`

### getPublicId

    public java.lang.String getPublicId()

  Optional if {system identifier} is present. A public identifier, as defined in [XML 1.0 (Second Edition)].
  Specified by:
    `getPublicId` in interface `org.apache.xerces.xs.XSNotationDeclaration`

### getAnnotation

    public org.apache.xerces.xs.XSAnnotation getAnnotation()

  Optional. Annotation.
  Specified by:
    `getAnnotation` in interface `org.apache.xerces.xs.XSNotationDeclaration`

### getAnnotations

    public org.apache.xerces.xs.XSObjectList getAnnotations()

  Optional. Annotations.
  Specified by:
    `getAnnotations` in interface `org.apache.xerces.xs.XSNotationDeclaration`

### getNamespaceItem

    public org.apache.xerces.xs.XSNamespaceItem getNamespaceItem()

  Description copied from interface: `org.apache.xerces.xs.XSObject`
  A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.
  Specified by:
    `getNamespaceItem` in interface `org.apache.xerces.xs.XSObject`
  See Also:
    `XSObject.getNamespaceItem()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.